Bug 481147 - cpan2rpm doesn't work with latest Pod::Text
cpan2rpm doesn't work with latest Pod::Text
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cpan2rpm (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Stepan Kasal
Fedora Extras Quality Assurance
:
: 279251 462832 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-22 08:05 EST by Gavin Brown
Modified: 2009-05-12 08:47 EDT (History)
6 users (show)

See Also:
Fixed In Version: 2.028-6.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 279251
Environment:
Last Closed: 2009-04-09 12:06:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gavin Brown 2009-01-22 08:05:39 EST
+++ This bug was initially created as a clone of Bug #279251 +++

Description of problem:

The latest version of Pod::Text from CPAN is from RRA/podlators-2.2.2.tar.gz

Pod::Text no longer derives from Pod::Parser so the method 'interpolate' does
not exist.  As near as I can tell, this is the only method used in cpan2rpm, so
Pod::Text can be changed to Pod::Parser in the two places it appears.  This is
what I did locally and it now works for me.

Version-Release number of selected component (if applicable):

cpan2rpm-2.028-2.fc8.1.noarch

How reproducible:

update Pod::Text via cpan.
Run cpan2rpm for some module (any will do...)
  
Actual results:

[...]
-- module: /var/cache/cpan/build/libwww-perl-5.808-baHtIL --
Metadata retrieval
Can't locate object method "interpolate" via package "Pod::Text" at
/usr/bin/cpan2rpm line 522.
-- Done --


Expected results:

No failure from above.

Additional info:

--- Additional comment from fedora-triage-list@redhat.com on 2008-05-14 10:14:55 EDT ---

This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from fedora-triage-list@redhat.com on 2008-06-16 22:19:58 EDT ---

Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 1 Gavin Brown 2009-01-22 08:10:50 EST
According to http://rt.cpan.org/Public/Bug/Display.html?id=27309, this can be fixed by switching from Pod::Text to Pod::PlainText. This seems like something that could be done with a trivial patch: "perl -pi -e 's/Pod::Text/Pod::PlainText/' /usr/bin/cpan2rpm" worked for me.

However, the upstream project seems dead, as the CPAN bug dates to 2007.
Comment 2 Charlie Brady 2009-03-27 21:03:46 EDT
> However, the upstream project seems dead, as the CPAN bug dates to 2007. 

Is that any reason not to apply this simple fix?

[Fix worked for me, BTW. Thanks.]
Comment 3 Gavin Brown 2009-03-30 10:17:21 EDT
> > However, the upstream project seems dead, as the CPAN bug dates to 2007. 
>
> Is that any reason not to apply this simple fix?

Not at all!
Comment 4 Fedora Update System 2009-03-30 10:30:51 EDT
cpan2rpm-2.028-6.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/cpan2rpm-2.028-6.fc10
Comment 5 Fedora Update System 2009-03-30 10:35:34 EDT
cpan2rpm-2.028-6.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/cpan2rpm-2.028-6.fc9
Comment 6 Fedora Update System 2009-04-02 13:14:12 EDT
cpan2rpm-2.028-6.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cpan2rpm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3207
Comment 7 Gavin Brown 2009-04-06 10:58:28 EDT
I've installed the update from updates-testing and it looks good.
Comment 8 Fedora Update System 2009-04-09 12:06:36 EDT
cpan2rpm-2.028-6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-04-09 12:11:37 EDT
cpan2rpm-2.028-6.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Charlie Brady 2009-04-09 12:34:44 EDT
> cpan2rpm-2.028-6.fc9 has been pushed

Thanks!
Comment 11 Stepan Kasal 2009-05-12 08:40:52 EDT
*** Bug 279251 has been marked as a duplicate of this bug. ***
Comment 12 Stepan Kasal 2009-05-12 08:45:56 EDT
*** Bug 462832 has been marked as a duplicate of this bug. ***
Comment 13 Stepan Kasal 2009-05-12 08:47:36 EDT
Hey, why does bodhi say NEXTRELEASE?  It is fixed in an F10 update.

Note You need to log in before you can comment on or make changes to this bug.